<app-navbar></app-navbar>
<div style="background-color: #f9f9f9;" class="">
    <div class="container screen-mt-3 mob-pt-20 pb-5">

        <div class="row">
            <h1 class="mob-h1">J'aime</h1>
            <div *ngIf="favitems != 0; else emptycart">
                <div class="col-lg-3 col-md-6 col-sm-6 col-12  " *ngFor="let item of favitems">
                    <div class="my-event">
                        <div class="first-b-cap position-r">
                            <a routerLink="/event-detail/{{item.events[0]._id}}"><img class=" eve-mg" src="{{baseurl}}static/public/{{item.events[0].media}}"></a>
                            <span class="heart-play"><a (click)="removeFav(item.events[0]._id)"><i
                              class="fa-solid fa-heart hrt-fill"></i><i class="fa-regular fa-heart hrt-blank"></i></a></span>
                        </div>
                        <div class="m-div">
                            <a class="event-name">{{item.events[0].title}}</a>
                            <p class="f-p">{{item.events[0].datetime[0].date |date:'M.d.yy'}} {{item.events[0].datetime[0].time}}</p>
                            <p class="m-b-5">{{item.events[0].catagory}} • {{item.events[0].address[0].address}}</p>
                            <p class="m-b-5">{{item.events[0].tickets[0].price}} CFA</p>
                        </div>
                    </div>

                </div>
            </div>

            <ng-template #emptycart>
                <div class="mb-5" style="display: flex;align-items: center;justify-content: center;">
                    <div style="text-align:center;" class='d-flex bd-highlight ' id='hello-example'>
                        <div class="align-self-center p-3 bd-highlight col-sx-12 container jumbotron jumbo" style="">
                            <div class="col-md-12">
                                <div class="fas-style mx-auto">
                                    <img class="mw-100" src="./assets/build/img/nofav.png" width="200">
                                </div>
                            </div>
                            <h3>Votre liste de favoris O'Black est vide</h3>
                        </div>
                    </div>
                </div>
            </ng-template>




        </div>
    </div>
</div>


<app-footer></app-footer>